*{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}
.header{
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.70),rgba(0, 0, 0, 0.70)),url(img/meilleures-pratiques-web-design-1024x512.jpg);
    background-size: cover;
    background-position: left;
    position: relative;
}
nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 2% 4%;
}
nav .logo{
    color: white;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    text-decoration: none;
    font-size: 25px;
    font-weight: bold;
}
.nav-links{
   flex: 1;
   text-align: right;
}
.nav-links ul li{
    display: inline-block;
    padding: 8px 12px;
    list-style: none;
    position: relative;
}
.nav-links ul li::after{
    content: '';
    width: 0%;
    height: 3px;
    background-color: crimson;
    display: block;
    margin: auto;
    transition: .3s;
}

.nav-links ul li:hover::after,.nav-links ul li.active::after{
    width: 100%;
}

.nav-links ul li a{
    text-decoration: none;
    color: white;
    font-size: 15px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
}

.txt-box{
    width: 80%;
    position: absolute;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.txt-box h1 {
    font-size: 54px;
    color: white;
}
.txt-box h3{
    color: crimson;
    padding: 2% 6% 0%;
}
.txt-box p{
    color: rgba(228, 228, 228, 0.714);
    font-size: 13px;
    padding: 20px;
}
.txt-box a {
    color: white;
    text-decoration: none;
    padding: 8px 25px;
    border: white 1px solid;
    background: transparent;
    transition: .3s;
}
.txt-box a:hover{
    background-color: crimson;
    border: 1px solid crimson;
}

nav .fas{
    display: none;
}

@media (max-width:700px){
    nav .fas{
        display: inherit;
        color: white;
    }
    .txt-box h1 {
        font-size: 30px;
    }
    .txt-box h3 {
        font-size: 15px;
    }
    .txt-box p {
        font-size: 10px;
    }
    .txt-box a {
        font-size: 10px;
    }
    .nav-links ul li{
        display: block;
        text-align: center;
        margin-top: 20px;
    }
    .nav-links .fas{
        float: left;
        padding: 20px;
        color: white;
    }
    .nav-links{
        position: absolute;
        background-color: #333;
        height: 0vh;
        width: 0%;
        z-index: 2;
        border-bottom-left-radius: 50%;
        top: 0;
        right: 0;
        transition: .5s;
    }
    .services .row{
        flex-direction: column;
    }
}



.container{
    color: white;
    background-color: #222;
}
.img{
    width: 200px;
    height: 200px;
    margin: auto;
    background: url('img/me.jpg');
    border-radius: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
}
.services{
    text-align: center;
    margin: auto;
    padding: 70px 0px;
    width: 80%;
}
 .row{
    display: flex;
    margin-top: 5%;
    justify-content: space-between;
}
.services h1 {
    color: crimson;
    padding: 10px 15px;
}
.services .col{
    color: white;
    flex-basis: 31%;
    box-sizing: border-box;
    background-color: crimson;
    padding: 20px 12px;
    margin-bottom: 5%;
    border-radius: 10px;
    border: solid 1px black;
    box-shadow: 5px 5px 25px black;
    transition: .6s;
    cursor: pointer;
}
.services .col:hover{
    box-shadow: 5px 8px 25px rgba(182, 73, 0, 0.836);
}
.services .col h2{
    padding: 15px;
    cursor: pointer;
}
.services .col p {
    font-size: 13px;
    color: rgba(255, 255, 255, 0.755);
    cursor: pointer;
}

.portfolio{
    text-align: left;
    margin: auto;
    padding: 70px 0px;
    width: 80%;
}
.portfolio h1{
    color: crimson;
    margin-bottom: 10px;
}
.portfolio p{
    color: rgba(34, 34, 34, 0.809);
    margin-bottom: 20px;
}
.portfolio .row {
    padding: 20px;
    border-radius: 10px;
    margin: auto;
    text-align: center;
    flex-wrap: wrap;
}
.col h1{
    color: rgb(199, 152, 0);
    border-bottom: 2px solid yellow;
}
.portfolio .row .col{
    flex-basis: 48%;
    border-radius: 10px;
    margin-bottom: 30px;
    position: relative;
    overflow: hidden;
}
.portfolio .row .col img{
    width: 100%;
    border-radius: none !important;
}
.portfolio a{
    color: white;
    text-decoration: none;
    font-size: 30px;
}
.portfolio .show-txt{
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    transition: .4s;
}
.portfolio .show-txt:hover{
    background-color: rgba(206, 31, 66, 0.755);
}

.portfolio h3{
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 50%;
    text-transform: uppercase;
    font-weight: 800;
    transform: translateX(-50%);
    opacity: 0;
    transition: .5s;
}
.portfolio .show-txt:hover h3{
    bottom: 50%;
    opacity: 1;
}
h4 small{
    color: #222;
}
.footer{
    text-align: center;
    padding: 30px;
    background-color: rgb(86, 86, 86);
    color: white;
}
.footer h1{
    color: crimson;
    margin-bottom: 20px;
}
.socials{
    border-top: solid 1px white;
    width: 30%;
    margin: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.socials a{
    color: white;
}
.footer i{
    margin: 20px;
    border: solid white 2px;
    border-radius: 50%;
    padding: 20px;
    cursor: pointer;
    transition: .4s;
}

#numero{
    opacity: 0;
    border-top: 2px solid crimson;
    padding: 5px;
    transition: ease-in-out .4s;
}
.footer i:hover{
    background-color: crimson;
    border: 2px solid crimson;
}
footer{
    background-color: #222;
    padding: 20px 30px;
    color: white;
    display: flex;
    justify-content: space-between;
    font-size: 12px;
}
footer span{
    color: rgba(255, 255, 255, 0.707);
}
footer p{
    text-align: center;
}
.crisom{
    color: crimson;
    background-color: white;
    padding: 10px 20px;
}
.fa-css3-alt,.fa-html5,.fa-symfony,.fa-js-square,.fa-php,.fa-react{
    transition: all ease-in-out .4s;
}
.fa-html5{
 color: rgb(248, 103, 51);
}
.fa-css3-alt{
    color: rgb(46, 40, 219);
}
.fa-symfony{
    color: #222;
}
.fa-js-square{
    color: rgb(255, 208, 0);
}
.fa-php{
    color: rgb(6, 24, 106);
}
.fa-react{
    color: rgb(52, 210, 228);
}
footer a{
    color: white;
}
